import { computed } from 'vue'
import { useLangStore } from '@/store/modules/langStore'


import zhCN from '@arco-design/web-vue/es/locale/lang/zh-cn';
import enUS from '@arco-design/web-vue/es/locale/lang/en-us';
import thTH from '@arco-design/web-vue/es/locale/lang/th-th';

const i18n = {
  "zh-CN": zhCN,
  "en-US": enUS,
  "th-TH": thTH,
}

// 语言切换
export const useLang = () => {
  const lang = useLangStore()
  
  const locale = computed(() => {
    return  i18n[lang.getLang]
  })

  return {
    locale
  }
}